Subject: bug#9392: 24.0.50; rmail-forward produces messages in unsupported format that cannot be customized away

From: Julien Danjou <[email-masked]>
Date: Fri, 02 Sep 2011 12:54:32 +0200

On Fri, Sep 02 2011, Eli Zaretskii wrote:

> I don't know what was the rationale for this change, because if
> message-setup calls message-setup-1, it will still return nil, since
> message-setup-1 returns nil unconditionally.  The simple patch below
> fixes this particular regression.

I think I was trying to fix the FIXME. :)

diff --git a/lisp/message.el b/lisp/message.el
index 28050f8..42ca73c 100644
--- a/lisp/message.el
+++ b/lisp/message.el
@@ -6582,9 +6582,7 @@ is a function used to switch to and display the mail buffer."
       (dolist (h other-headers other-headers)
        (if (stringp (car h)) (setcar h (intern (capitalize (car h)))))))
      yank-action send-actions continue switch-function
-     return-action)
-    ;; FIXME: Should return nil if failure.
-    t))
+     return-action)))
 
 ;;;###autoload
 (defun message-news (&optional newsgroups subject)

> However, rmail-forward is still broken if mail-user-agent is set to
> sendmail-user-agent.  That is a separate issue.  So please do not
> close this bug, even if this patch is accepted by the Gnus developers.
>
> Here's the patch to message.el to restore the Emacs 23.3 default
> behavior of rmail-forward:
>
> === modified file 'lisp/gnus/message.el'
> --- lisp/gnus/message.el	2011-08-20 00:20:39 +0000
> +++ lisp/gnus/message.el	2011-09-02 09:45:18 +0000
> @@ -6530,7 +6530,9 @@ are not included."
>    (message-position-point)
>    ;; Allow correct handling of `message-checksum' in `message-yank-original':
>    (set-buffer-modified-p nil)
> -  (undo-boundary))
> +  (undo-boundary)
> +  ;; rmail-start-mail expects message-mail to return t (Bug#9392)
> +  t)
>  
>  (defun message-set-auto-save-file-name ()
>    "Associate the message buffer with a file in the drafts directory."
>

From my quick understanding, this looks good.

-- 
Julien Danjou
❱ http://julien.danjou.info